CODESET_INCOMPATIBLE (Java Platform SE 8 )
Keywords: org.omg.CORBA.CODESET_INCOMPATIBLE class
Date: 2026-04-17

org.omg.CORBA

## Class CODESET_INCOMPATIBLE

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.omg.CORBA.SystemException
        - - org.omg.CORBA.CODESET_INCOMPATIBLE

- All Implemented Interfaces:
    Serializable

      public final class CODESET_INCOMPATIBLE
      extends SystemException

  This exception is raised whenever meaningful communication is not possible between client and server native code sets.
  Since:
    J2SE 1.5
  See Also:
    documentation on Java IDL exceptions

- - ### Field Summary

    - ### Fields inherited from class org.omg.CORBA.SystemException

      `completed, minor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CODESET_INCOMPATIBLE()` Constructs an `CODESET_INCOMPATIBLE` exception with minor code set to 0 and CompletionStatus set to COMPLETED_NO.
    `CODESET_INCOMPATIBLE(int minorCode, CompletionStatus completionStatus)` Constructs an `CODESET_INCOMPATIBLE` exception with the specified minor code and completion status.
    `CODESET_INCOMPATIBLE(String detailMessage)` Constructs an `CODESET_INCOMPATIBLE` exception with the specified message.
    `CODESET_INCOMPATIBLE(String detailMessage, int minorCode, CompletionStatus completionStatus)` Constructs an `CODESET_INCOMPATIBLE` exception with the specified message, minor code, and completion status.

  - ### Method Summary

    - ### Methods inherited from class org.omg.CORBA.SystemException

      `toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CODESET_INCOMPATIBLE

          public CODESET_INCOMPATIBLE()

      Constructs an `CODESET_INCOMPATIBLE` exception with minor code set to 0 and CompletionStatus set to COMPLETED_NO.

    - #### CODESET_INCOMPATIBLE

          public CODESET_INCOMPATIBLE(String detailMessage)

      Constructs an `CODESET_INCOMPATIBLE` exception with the specified message.
      Parameters:
        `detailMessage` - string containing a detailed message.

    - #### CODESET_INCOMPATIBLE

          public CODESET_INCOMPATIBLE(int minorCode,
                                      CompletionStatus completionStatus)

      Constructs an `CODESET_INCOMPATIBLE` exception with the specified minor code and completion status.
      Parameters:
        `minorCode` - minor code.
        `completionStatus` - completion status.

    - #### CODESET_INCOMPATIBLE

          public CODESET_INCOMPATIBLE(String detailMessage,
                                      int minorCode,
                                      CompletionStatus completionStatus)

      Constructs an `CODESET_INCOMPATIBLE` exception with the specified message, minor code, and completion status.
      Parameters:
        `detailMessage` - string containing a detailed message.
        `minorCode` - minor code.
        `completionStatus` - completion status.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.